Bug 1261836 - (CVE-2015-7673) CVE-2015-7673 gdk-pixbuf: Heap overflow and DoS vulnerability when scaling a TGA file
CVE-2015-7673 gdk-pixbuf: Heap overflow and DoS vulnerability when scaling a ...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151001,repor...
: Security
Depends On:
Blocks: 1261849
  Show dependency treegraph
 
Reported: 2015-09-10 05:44 EDT by Adam Mariš
Modified: 2016-01-22 10:03 EST (History)
4 users (show)

See Also:
Fixed In Version: gdk-pixbuf 2.32.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 08:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-09-10 05:44:29 EDT
It was reported that heap overflow and DoS in gdk-pixbuf implementation occurs triggered by scaling TGA file. This library is used also by Firefox and Chromium, making them vulnerable.
Comment 13 Adam Mariš 2015-10-02 04:12:12 EDT
CVE request:

http://seclists.org/oss-sec/2015/q4/1
Comment 14 Adam Mariš 2015-10-02 04:54:18 EDT
Acknowledgements:

Red Hat would like to thank Gustavo Grieco for reporting this issue.
Comment 15 Adam Mariš 2015-10-05 07:59:22 EDT
CVE assignment:

http://seclists.org/oss-sec/2015/q4/18
Comment 16 Stefan Cornelius 2015-10-23 08:55:05 EDT
The infinite loop in RHEL6 is annoying but shouldn't qualify as security issue.

Note You need to log in before you can comment on or make changes to this bug.